#!/bin/sh
if [ -f org.eclipse.tm.repo.zip ]; then
  echo "ERROR - Please move away org.eclipse.tm.repo.zip"; exit 1
elif [ ! -f ../republish.sh ]; then
  echo "ERROR - ../republish.sh missing"; exit 1
fi
wget https://hudson.eclipse.org/tm/job/tm-3.7-maintenance/lastSuccessfulBuild/artifact/releng/org.eclipse.tm.repo/target/org.eclipse.tm.repo.zip
if [ $? != 0 ]; then exit; fi
rm -rf features plugins content.* artifacts.*
unzip org.eclipse.tm.repo.zip
# Remove deprecated or unnecessary TM stuff
rm features/org.eclipse.tm.terminal.sdk*.jar \
  features/org.eclipse.tm.terminal.local*.jar \
  features/org.eclipse.tm.terminal.view*.jar \
  features/org.eclipse.rse*source* \
  features/org.eclipse.rse*example* \
  features/org.eclipse.rse*sdk* \
  plugins/org.eclipse.rse*source* \
  plugins/org.eclipse.rse*sdk* \
  plugins/org.eclipse.rse*example* \
  plugins/org.eclipse.rse*pack.gz \
  plugins/org.eclipse.dstore*source* \
  plugins/org.eclipse.dstore*pack.gz \
  plugins/org.apache*source* \
  plugins/org.apache*pack.gz \
  plugins/org.eclipse.tm.terminal.local* \
  plugins/org.eclipse.tm.terminal.view*
rm org.eclipse.tm.repo.zip
../republish.sh

